<app-side-modal-content>
  <!-- title -->
  <app-side-modal-title>
    ADMINISTRATOR PROFILE
  </app-side-modal-title>

  <!-- scrollable sections -->
  <app-custom-scrollbar class="app-content">
    <!-- fields -->
    <div class="app-fields">
      <!-- date -->
      <app-labeled-value label="date created">
        {{ user.createdAt | date: 'MM/dd/yyyy' }}
      </app-labeled-value>

      <!-- id -->
      <app-labeled-value label="id">
        {{ user.id }}
      </app-labeled-value>

      <!-- state -->
      <app-labeled-value label="state">
        <!-- state label -->
        <app-state-label [state]="user.state" type="admin"></app-state-label>
      </app-labeled-value>

      <!-- status -->
      <app-labeled-value label="status">
        {{ user.status }}
      </app-labeled-value>
    </div>

    <!-- permissions -->
    <app-permissions [permissions]="user.permissions" [readOnly]="true" label="ACCESS PERMISSION"></app-permissions>

    <!-- toolkit -->
    <ng-container *ngIf="user.toolkit">
      <!-- toolkit label -->
      <div class="app-toolkit-label">TOOLKIT INFO <app-icon-toolkit-reverse></app-icon-toolkit-reverse></div>

      <!-- toolkit info -->
      <app-toolkit-info [dnsVisible]="false" [toolkit]="user.toolkit"></app-toolkit-info>
    </ng-container>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- edit -->
  <button *ngIf="editPermission$ | async" (click)="emitEditClick()" appFlatButton theme="secondary">
    Edit
  </button>

  <!-- close -->
  <button (click)="emitCloseClick()" appInlineButton theme="secondary">
    Close
  </button>
</app-side-modal-footer>
